Description

The TaxonNamePopupEditor uses a ToManyRelatedEntitiesComboboxSelect to allow editing the associations to basionym names.
Changes are not saved, though.

The reason for this is that Vaadin MethodProperties are readonly when no setter is available, the commit of the
ToManyRelatedEntitiesListSelect is not working in this case.

Related issues:
Is duplicate of EDIT - task #7365: enable CdmPopupEditors to operate on CdmDe... Closed
Is duplicate of EDIT - bug #7386: TaxonNamePopEditor: com.vaadin.data.Propert... Closed

Associated revisions

Revision 2¢2bbc38 - 06/08/2017 04:27 PM - Andreas Kohlbecker

ref #6707 1st attempt to make editing transient properties possible - save fails with LIE

History

#1 - 06/08/2017 04:30 PM - Andreas Kohlbecker
- Description updated

#2 - 06/08/2017 04:42 PM - Andreas Kohlbecker
- Subject changed from transient properties managed by ToManyRelatedEntitiesListSelect are not updaed on save to transient properties managed by

ToManyRelatedEntitiesListSelect are not updated on save

#3 - 07/21/2017 10:27 AM - Andreas Miiller

- Target version changed from Release 4.9 to Release 4.10

#4 - 09/24/2017 01:18 AM - Andreas Miiller

- Target version changed from Release 4.10 to Release 4.11

#5 - 11/08/2017 11:15 AM - Andreas Miiller

- Target version changed from Release 4.11 to Release 4.12

#6 - 12/05/2017 02:16 PM - Andreas Miuller

- Target version changed from Release 4.12 to Release 4.13

#7 - 01/31/2018 12:12 PM - Andreas Miuller

- Target version changed from Release 4.13 to Release 4.14

#8 - 02/15/2018 03:00 PM - Andreas Miuller

- Target version changed from Release 4.14 to Release 5.0

#9 - 04/24/2018 11:45 AM - Andreas Kohlbecker
- Tags set to phycobank

#10 - 04/24/2018 11:50 AM - Andreas Kohlbecker
- Priority changed from New to Highest

#11 - 05/02/2018 04:20 PM - Andreas Kohlbecker
- Description updated

- Status changed from New to Duplicate

this problem has been solved by using a TaxonNameDTO for the TaxonNameEditor. see #7365, #7386 and cdm-vaadin|c256784f

#12 - 05/02/2018 04:22 PM - Andreas Kohlbecker
- Is duplicate of task #7365: enable CdmPopupEditors to operate on CdmDecoratorDTOs added

#13 - 05/02/2018 04:22 PM - Andreas Kohlbecker
- Is duplicate of bug #7386: TaxonNamePopEditor: com.vaadin.data.Property$ReadOnlyException on saving a basionym added
https://dev.e-taxonomy.eu/redmine/issues/7365
https://dev.e-taxonomy.eu/redmine/issues/7386
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-vaadin/revisions/c256784fcfbe3c4a6b662c58be780f93ecba675c
http://www.tcpdf.org

